import WorkspaceElement from './WorkspaceElement';
import ImagePeer from './peer/svg/ImagePeer';
import SizeType from './SizeType';
import StyleAttributes from './StyleAttributes';
import PositionType from './PositionType';
declare class Image extends WorkspaceElement<ImagePeer> {
    constructor(attributes?: StyleAttributes);
    getType(): string;
    setHref(href: string): void;
    getHref(): string;
    getSize(): SizeType | undefined;
    getPosition(): PositionType;
    setPosition(x: number, y: number): void;
}
export default Image;
